# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'softwear/library/version'

Gem::Specification.new do |spec|
  spec.name          = "softwear-lib"
  spec.version       = Softwear::Library::VERSION
  spec.authors       = ["Nigel Baillie"]
  spec.email         = ["nigel@annarbortees.com"]
  spec.summary       = %q{Common gems and logic for all softwear apps.}
  # spec.description   = %q{TODO: Write a longer description. Optional.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2.0"

  spec.add_dependency "activesupport", ">= 4.2.1"
  spec.add_dependency "rbczmq"
  spec.add_dependency "tty-prompt"
  spec.add_dependency "tty-spinner"
  spec.add_dependency "liquid"
end
